prepare.args.sgldata {sglOptim} | R Documentation

## Prepare sgl function arguments

### Description

Prepare sgl function arguments using sgldata.

### Usage

    ## S3 method for class 'sgldata'
    prepare.args(data, parameterGrouping = NULL,
      groupWeights = NULL, parameterWeights = NULL,
      parameterNames = NULL, alpha, test_data = NULL, ...)

### Arguments

`data` | a sgldata object
`parameterGrouping` | grouping of parameters, a vector of length p. Each element of the vector specifying the group of the parameters in the corresponding column of β.
`groupWeights` | the group weights, a vector of length `length(unique(parameterGrouping))` (the number of groups).
`parameterWeights` | a matrix of size q \times p, that is the same dimension as β.
`parameterNames` | dim-names of parameters, if NULL `dimnames(parameterWeights)` will be used.
`alpha` | the α value 0 for group lasso, 1 for lasso, between 0 and 1 gives a sparse group lasso penalty.
`test_data` | optional test data to be prepared (a sgldata object)
`...` | not used

### Author(s)

Martin Vincent

### See Also

Other sgldata: `add_data.sgldata`, `create.sgldata`, `prepare.args`, `prepare_data`, `rearrange.sgldata`, `subsample.sgldata`

[Package sglOptim version 1.3.8 Index]